@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  html {
    scroll-behavior: smooth;
    @apply text-base leading-normal font-body text-gray-900;
  }

  body {
    @apply overflow-x-hidden
  }

  h1, h2, h3, h4, h5, h6 {
    @apply font-display font-bold;
  }

  h1 {
    @apply text-5xl;
  }
  h2 {
    @apply text-4xl;
  }
  h3 {
    @apply text-3xl;
  }
  h4 {
    @apply text-2xl;
  }
  h5 {
    @apply text-xl;
  }
  h6 {
    @apply text-lg;
  }
  .prose a {
    text-decoration: none !important;
    @apply no-underline border-b-2 border-secondary-900 hover:border-opacity-0 hover:text-secondary-700;
  }

  .navigation-button {
    @apply hidden md:flex items-center justify-center bg-[#F2F2F7] rounded-full absolute top-1/2 -translate-y-1/2 h-[40px] w-[40px] p-[8px] z-10 shadow-[0_4px_16px_0_rgba(16,16,25,0.08)] opacity-0 transition-opacity;
  }

  .navigation-button:not(.swiper-button-disabled) {
    @apply group-hover:opacity-100 hover:cursor-pointer;
  }

  .navigation-button.swiper-button-disabled {
    @apply pointer-events-none group-hover:opacity-50;
  }

  .navigation-button-next {
    @apply right-[24px];
  }

  .navigation-button-previous {
    @apply left-[24px];
  }

  .horizontal-masonry-layout {
    position: relative;
  }

  .horizontal-masonry-layout__grid {
    display: flex;
    flex-direction: column;
    gap: 8px;
    overflow: auto;
  }

  .horizontal-masonry-layout__grid-row {
    display: flex;
    gap: 8px;
    height: 300px;
  }

  .horizontal-masonry-layout__grid-row-item {
    height: 100%;
    width: auto;
    /* Override default img styles */
    max-width: none;
  }

  .horizontal-masonry-layout__navigation-button {
    display: none;
    align-items: center;
    justify-content: center;
    box-shadow: 0 4px 16px 0 rgba(16, 16, 25, 0.08);
    background-color: #F2F2F7;
    border-radius: 100%;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 40px;
    width: 40px;
    padding: 8px;
    z-index: 10;
    opacity: 0;
    transition: opacity 0.2s ease-in-out;
  }

  .horizontal-masonry-layout__navigation-button-previous {
    left: 24px;
  }

  .horizontal-masonry-layout__navigation-button-next {
    right: 24px;
  }

  .horizontal-masonry-layout__navigation-button-icon {
    height: 24px;
    width: 24px;
  }

  .horizontal-masonry-layout:hover .horizontal-masonry-layout__navigation-button {
    opacity: 1;
  }

  .horizontal-masonry-layout__navigation-button:hover {
    cursor: pointer;
  }

  @media only screen and (min-width: 992px) {
    .horizontal-masonry-layout__navigation-button {
      display: flex;
    }
  }
}
